#ifndef PHOTOSLOCALSCOPE_H
#define PHOTOSLOCALSCOPE_H

#include <unity/scopes/ScopeBase.h>
#include <unity/scopes/QueryBase.h>
#include <unity/scopes/ReplyProxyFwd.h>
#include <unity/scopes/QueryBase.h>
#include <unity/scopes/PreviewQueryBase.h>
#include <mediascanner/MediaStore.hh>

#include <QString>

class Scope : public unity::scopes::ScopeBase
{
public:
    Scope();
    virtual void start(std::string const&) override;
    virtual void run() override;
    virtual void stop() override;

    unity::scopes::PreviewQueryBase::UPtr preview(const unity::scopes::Result&,
                                                  const unity::scopes::ActionMetadata&) override;

    virtual unity::scopes::SearchQueryBase::UPtr search(unity::scopes::CannedQuery const& q,
                                                        unity::scopes::SearchMetadata const&) override;

    std::unique_ptr<mediascanner::MediaStore> store;
private:
};
#endif
